Subject: Re: [PATCH 3/5] fast-export: mark strings for translation

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Oct 2025 09:12:49 -0700

Christian Couder <[email-masked]> writes:

> On Tue, Oct 28, 2025 at 2:43 PM Junio C Hamano <[email-masked]> wrote:
>>
>> Christian Couder <[email-masked]> writes:
>>
>> > Some error or warning messages in "builtin/fast-export.c" are marked
>> > for translation, but many are not.
>> >
>> > To be more consistent and provide a better experience to people using a
>> > translated version, let's mark all the remaining error or warning
>> > messages for translation.
>>
>> Makes sense.  Should we also downcase some Unknown and Unexpected?
>
> I am fine with doing it as part of this series, but I wonder if it
> should be part of this patch or in a separate patch.
>
> If it's in a separate patch, each patch might be easier to review
> independently, but a number of lines will be changed several times in
> this series. So not sure what's the best practice.

Rephrasing the messages may need more careful thinking while
reviewing, but if you limit your changes to only downcasing the
first letter, I would think it would fall in the same bucket as
"While at it, improve code indentation".

Thanks.